Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional
Class Xalan2TraceSupport

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.Xalan2TraceSupport

All Implemented Interfaces:
  XSLTTraceSupport

    public class Xalan2TraceSupport

extends java.lang.Object
implements XSLTTraceSupport

Sets up trace support for a given transformer.

Since:
  Ant 1.8.0

Constructor Summary
`Xalan2TraceSupport()`

Method Summary
`void` | `configureTrace(javax.xml.transform.Transformer t, XSLTProcess.TraceConfiguration conf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Xalan2TraceSupport

    public Xalan2TraceSupport()

Method Detail

### configureTrace

    public void configureTrace(javax.xml.transform.Transformer t,
                               XSLTProcess.TraceConfiguration conf)

  Specified by:
    `configureTrace` in interface `XSLTTraceSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD